﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using Telerik.Web.UI;
using System.Data;
using System.Web.UI.WebControls;
using System.IO;
using System.Web.UI;

/// <summary>
/// Summary description for WebService
/// </summary>
[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
// To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line. 
[System.Web.Script.Services.ScriptService]
public class WebService : System.Web.Services.WebService {
	private int itemCount = 5;

    [WebMethod]
	public RadRotatorItemData[] GetRotatorData(int itemIndex, string argument)
	{
		if (itemIndex >= 20) return null;
		List<RadRotatorItemData> result = new List<RadRotatorItemData>();
		for (int i = itemIndex; i < itemIndex + itemCount; i++)
		{
			RadRotatorItemData item = new RadRotatorItemData();
			Label label = new Label();
			label.Text = "Item " + i + " added on " + DateTime.Now.ToString();
			StringWriter sw = new StringWriter();
			HtmlTextWriter writer = new HtmlTextWriter(sw);
			label.RenderControl(writer);
			writer.Flush();
			item.Html = sw.ToString();
			result.Add(item);
		}
		return result.ToArray();
	}
    
}
